#include <benchmark/benchmark.h>
#include <vector>
#include <algorithm>

static void BM_VectorSort(benchmark::State& state) {
    for (auto _ : state) {
        state.PauseTiming();
        std::vector<int> vec(state.range(0));
        for (int& i : vec) {
            i = rand() % state.range(0);
        }
        state.ResumeTiming();

        std::sort(vec.begin(), vec.end());
    }
}

BENCHMARK(BM_VectorSort)
    ->Range(8, 8<<10);

BENCHMARK_MAIN();
